* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Open Sans', 'Helvetica Neue', sans-serif;
}

/* Pergantian Warna */
/* #e7c66f jadi warna kebiruan */
/* #caa44b jadi warna kebiruan */
/* #1f1f2e jadi warna #ffffff */
/* #050507 jadi warna #f8fafc */
/* #1e1e2a jadi warna #f1f5f9 */
/* #242430 jadi warna #e2e8f0 */

/* #1f1f29 jadi warna keputihan */
/* #555 untuk border */
/* #aaa untuk semacam text muted */
/* #ccc untuk text popup */

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
select:-webkit-autofill {
    -webkit-text-fill-color: #302e2e;
    -webkit-box-shadow: 0 0 0px 1000px #fafafa inset;
    transition: background-color 5000s ease-in-out 0s;
}

body {
    min-height: 100vh;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: radial-gradient(circle at center, #ffffff, #f8fafc);
    font-size: 16px;
}

.card{
    width: 450px;
    padding: 32px;
    border-radius: 18px;
    background: #fafafa;
    box-shadow: 0 0 40px hsla(210, 20%, 10%, 0.1);
}

.card h1{
    color: #302e2e;
    text-align: center;
    display: block;
    font-size: 42px;
}

.card h2{
    color: #302e2e;
}

.card p{
    text-align: center;
    display: block;
    color: #726f6f;
    margin-bottom: 32px;
}

/* Form & Input */
.input-group{
    position: relative;
    margin: 30px 0;
}

.input-group > input:not([type="radio"]){
    width: 100%;
    height: 42px;
    color: #302e2e;
    font-size: 16px;
    border: 2px solid #555;
    padding: 0 12px;
    background: transparent !important;
    outline: none;
    border-radius: 8px;
}

.input-group > label:not([class="label-gender"]){
    position: absolute;
    transform: translateY(-50%);
    top: 50%;
    left: 12px;
    background: transparent;
    color: #232121;
    font-size: 16px;
    pointer-events: none;
    transition: 0.3s ease;
}

.input-group input:focus ~ label,
.input-group input:valid ~ label{
    top: 0;
    font-size: 14px;
    color: #302e2e;
    background: #fafafa;
}

/* Gender */
.input-group > span{
    display: block;
    margin-bottom: 8px;
    color: #232121;
    font-size: 16px;
}

.input-group .gender{
    display: flex;
    gap: 20px;
}

.gender span{
    color: #302e2e;
}

.input-group .gender label{
    display: flex;
    gap: 6px;
    align-items: center;
    font-size: 14px;
    cursor: pointer;
}

.input-group .gender input[type="radio"]{
    width: 16px;
    height: 16px;
    accent-color: #2563eb;
}

/* Input Number */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="checkbox"]{
    width: 16px;
    height: 16px;
    accent-color: #2563eb;
}

/* Select */
select{
    width: 100%;
    justify-content: space-between;
    appearance: base-select;
    padding: 8px 12px;
    border: 2px solid #555;
    border-radius: 8px;
    background-color: #fafafa;
}

::picker(select){
    appearance: base-select;
    top: anchor(bottom);
    left: anchor(left);
    margin: 8px 0;
    border: 2px solid #555;
    border-radius: 8px;
    color: #302e2e;
    background-color: #fafafa;

    opacity: 1;
    transform: translateY(0);
    transition: transform 0.3s ease, opacity 0.3s ease;
}

@starting-style{
    ::picker(select){
        opacity: 0;
        transform: translateY(-8px);
    }
}

selectedcontent{
    display: inline-block;
    color: #302e2e;
    font-weight: 400;
}

selectedcontent span{
    display: inline-block;
    animation: optionClicked .4s cubic-bezier(0.25, 0.1, 0.5, 2.0) forwards;
}

@keyframes optionClicked {
    0% {
        transform: translateY(10px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

select::picker-icon{
    display: none;
}

option{
    height: 32px;
    padding: 8px 12px;
    transition: background-color 0.3s ease;
}

option::checkmark{
    display: none;
}

option:hover{
    background-color: #2563eb;
    color: #fafafa;
}

span{
    transition: transform 0.3s ease;
}

option:hover span{
    transform: translateX(10px);
}

option:checked{
    background-color: #2563eb;
    color: #f1f5f9;
}

.picker{
    transition: rotate 0.3s ease;
}

select:open .picker{
    rotate: -90deg;
}

/* Interest */
.interest{
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
}

.input-group h2{
    margin-bottom: 8px;
}

.interest label {
    padding: 10px 16px;
    display: flex;
    align-items: center;
    border: 2px solid #555;
    border-radius: 8px;
    font-size: 14px;
    background-color: #f1f5f9;
    color: #726f6f;
    cursor: pointer;
    transition: 0.3s ease;
    font-weight: 500;
}

.interest label:has(input:checked) {
    background-color: #2563eb;
    color: #f1f5f9;
    border: 2px solid #2563eb;
}

.interest input[type="checkbox"]{
    display: none;
}

.options label {
    display: flex;
    gap: 6px;
    align-items: center;
    margin: 0;
}

.options a {
    color: #2563eb;
    text-decoration: none;
}

.options.center{
    justify-content: center;
}

/* Password */
.input-group .eye-icon{
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    cursor: pointer;
    fill: #555;
}

/* Submit */
button{
    width: 100%;
    height: 42px;
    border: none;
    border-radius: 8px;
    background: linear-gradient(135deg, #3b82f6, #2563eb);
    font-weight: 600;
    cursor: pointer;
}

/* Footer */
.footer{
    margin-top: 16px;
    text-align: center;
    font-size: 13px;
    color: #726f6f;
}

.footer a{
    color: #2563eb;
    text-decoration: none;
}

.options {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 12px;
    font-size: 13px;
    color: #726f6f;
    margin-bottom: 26px;
}

.options label {
    display: flex;
    gap: 6px;
    align-items: center;
    margin: 0;
}

.options a {
    color: #2563eb;
    text-decoration: none;
}

.options.center{
    justify-content: center;
}

/* Popup */
.popup-overlay{
    position: fixed;
    inset: 0;
    background: rgba(0 , 0 , 0 , .6);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

#popupResult .popup-box p{
    text-align: start;
}

.message{
    margin-bottom: 16px;
}

.popup-box{
    background: #f1f5f9;
    padding: 24px;
    border-radius: 16px;
    width: 300px;
    text-align: center;
    box-shadow: 0 0 30px rgba(0, 0, 0, .7);
}

.popup-box h3{
    margin:0 0 10px;
}

.popup-box p{
    font-size:14px;
    color:#2d2b2b;
}

.popup-box button{
    margin-top:16px;
    padding:10px 18px;
    border:none;
    border-radius:10px;
    background:#2563eb;
    font-weight:600;
    cursor:pointer;
}

@media (max-width: 500px) {
    body{
        background: #fafafa;
    }
    .card{
        box-shadow: none;
    }
}